Skip to main content
POST
Metric Event List

Endpoint Overview

POST https://api.unibee.dev/merchant/metric/event_list Metric Event List

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
count
integer<int>

Count OF Page

createTimeEnd
integer<int64>

CreateTimeEnd,UTC timestamp,seconds

createTimeStart
integer<int64>

CreateTimeStart,UTC timestamp,seconds

invoiceId
string<string>

When set, list events for this invoice period (match subscription_period_start/end with invoice PeriodStart/PeriodEnd); overrides CreateTimeStart/CreateTimeEnd for period scope

metricIds
integer<int64>[]

Filter MetricIds, Default All

page
integer<int>

Page,Start 0

sortField
string<string>

Sort,user_id|gmt_create,Default gmt_create

sortType
string<string>

Sort Type,asc|desc,Default desc

subscriptionIds
string<string>[]

Filter SubscriptionIds, Default All

userIds
integer<int64>[]

Filter UserIds, Default All

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>